Bug 1713417 - [Errata][rhel8] -- Errata is not getting installed on content host from Satellite using katello-agent [NEEDINFO]
Summary: [Errata][rhel8] -- Errata is not getting installed on content host from Satel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.6.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Partha Aji
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
: 1719203 1720225 (view as bug list)
Depends On:
Blocks: 1722637
TreeView+ depends on / blocked
 
Reported: 2019-05-23 15:26 UTC by Omkar Khatavkar
Modified: 2020-11-27 01:51 UTC (History)
11 users (show)

Fixed In Version: katello-host-tools-3.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1756051 (view as bug list)
Environment:
Last Closed: 2019-10-22 19:49:30 UTC
Target Upstream Version:
vijsingh: needinfo? (paji)


Attachments (Terms of Use)
Fix is working (32.40 KB, image/png)
2019-07-09 15:15 UTC, Omkar Khatavkar
no flags Details
Fix is working (32.40 KB, image/png)
2019-07-09 15:16 UTC, Omkar Khatavkar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26920 0 Normal Closed Cannot install errata via katello host tools when using libdnf 2021-02-09 12:27:21 UTC
Red Hat Knowledge Base (Solution) 4313461 0 None None [Satellite 6] Installing an errata on a RHEL 8 content host via Satellite WebUI fails with "No new packages installed" 2019-07-31 09:41:24 UTC

Description Omkar Khatavkar 2019-05-23 15:26:31 UTC
Description of problem:
Errata is not getting installed on the content host from Satellite using  

Version-Release number of selected component (if applicable):
6.6 Snap 3, Can also exist in 6.5 (Mainly Dependent on RHEL8.2 client) 

How reproducible:
Always 

Steps to Reproduce:
1. Register (RHEL8) a content host with satellite
2. Try to install errata on the rhel8 content host from satellite using UI or API Call  
3.

Actual results:
Errata should be get installed on RHEL8 content host 

Expected results:
Errata not getting installed on RHEL8 content host 

Additional info:
This is mainly because of command change in RHEL8

dnf update-minimal --advisory=<errata_id>  ===> 
dnf upgrade-minimal --advisory=<errata_id>

Comment 3 Partha Aji 2019-05-23 15:52:56 UTC
On a different note I realized update-minimal is aliased to upgrade-minimal on rhel8, so dnf update-minimal should work fine when run as a remote command. 
However it looks like katello-agent needs some tweaking to work with rhel8 since its directly talking to libdnf.

Comment 4 Partha Aji 2019-05-31 13:51:56 UTC
Connecting redmine issue https://projects.theforeman.org/issues/26920 from this bug

Comment 5 Sachin Ghai 2019-06-13 11:50:53 UTC
*** Bug 1719203 has been marked as a duplicate of this bug. ***

Comment 6 Bryan Kearney 2019-06-14 18:02:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26920 has been resolved.

Comment 7 Brad Buckingham 2019-06-25 15:47:11 UTC
*** Bug 1720225 has been marked as a duplicate of this bug. ***

Comment 9 Peter Dragun 2019-07-09 13:49:30 UTC
Checked on Satellite 6.6 snap 10, the problem still exists. Applying errata on RHEL8 host via katello-agent has no effect on host. Related task finished successfully, but errata did not apply.

Comment 10 Omkar Khatavkar 2019-07-09 15:10:53 UTC
While I was testing this with Satellite 6.6 with Snap 10 it is working fine.

@Peter Dragun: Did you install the latest Katello Agent?

Comment 12 Omkar Khatavkar 2019-07-09 15:15:52 UTC
Created attachment 1588779 [details]
Fix is working

Comment 13 Omkar Khatavkar 2019-07-09 15:16:48 UTC
Created attachment 1588780 [details]
Fix is working

Comment 14 Peter Dragun 2019-07-10 08:47:32 UTC
Disregard #9

Comment 17 Bryan Kearney 2019-10-22 19:49:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.